/* basics */
:root{
  --black:#000;
  --darker:#333;
  --white:#fff;
  --orange:#f90;
}
*,html{overflow-x:hidden;overflow-y:hidden;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* desktop */
body{font-family:'Courier New',Courier,monospace;letter-spacing:1.5px;font-size:18px;line-height:24px;font-weight:400;background-color:var(--darker);color:var(--orange);}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--darker);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#crt{position:fixed;top:0;z-index:800;height:100vh;width:100vw;}
#crt::before {
  content: " ";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(rgba(18, 16, 16, 0) 75%, rgba(0, 0, 0, 0.5) 25%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  z-index: 2;
  background-size: 100% 2px, 3px 100%;
  pointer-events: none;
}
.paddle{width:1em;height:7em;margin:2em 1em;background-color:var(--orange);position:absolute;z-index:100;}
.paddle-cmp{background-color:var(--white) !important;}
#pad-left{left:0.5em;}
#pad-right{right:0.5em;}
#line{width:1em;height:100vh;border:1em var(--orange);border-style:none dashed none none;border-width:0.5em;position:absolute;z-index:0;left:49%;top:0;}
.wall{width:100vw;height:1em;background-color:var(--orange);position:absolute;z-index:0;}
#wall-top{top:0;}
#wall-bottom{bottom:0;}
#info{font-size:0.8em;font-weight:bold;line-height:1.2em;letter-spacing:0;color:var(--darker);position:absolute;z-index:50;top:0;left:1.75em;}
#timer{font-size:2em;font-weight:bold;height:0.5em;padding:0.4em 0.6em;bottom:0.25em;left:46%;background-color:var(--orange);color:var(--darker);position:absolute;z-index:50;display:none;}
#ball{width:1.5em;height:1.5em;margin:1em;background-color:var(--orange);position:absolute;z-index:200;display:none;}
.points{font-size:7em;font-weight:bold;line-height:1em;margin:-0.4em 0;position:absolute;z-index:0;top:0.6em;}
#points-left{text-align:right;right:52%;}
#points-right{text-align:left;left:53%;}
.show-elem{display:block !important;}

/* mobile */
@media(max-width:960px){
  body{font-size:12px;line-height:15px;}
  .paddle{width:0.8em;height:5em;}
  .wall{height:0.8em;}
  #info{display:none;}
  #timer{left:44.5%;}
  .points{font-size:6em;}
  #points-left{right:50.75%;}
  #points-right{left:52.75%;}
}